using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using CallCenterApi.DB;

namespace CallCenterApi.DAL
{
    /// <summary>
    /// 数据访问类:T_Wiki_LawGuide
    /// </summary>
    public partial class T_Wiki_LawGuide
    {
        public T_Wiki_LawGuide()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_Id)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) from T_Wiki_LawGuide with(nolock)");
            strSql.Append(" where F_Id=@F_Id");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_Id", SqlDbType.Int,4)
            };
            parameters[0].Value = F_Id;

            return DbHelperSQL.Exists(strSql.ToString(), parameters);
        }


        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_Wiki_LawGuide model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into T_Wiki_LawGuide(");
            strSql.Append("F_FaBuDanWei,F_FaBuRen,F_HangYe,F_DiQu,F_ShengXiaoShiJian,F_ShiXiaoShiJian,F_FaBuShiJian,F_Key,F_YeWuMingCheng,F_BiaoShiBianMa,F_ShenQingTiaoJian,F_ZhengCeYiJu,F_WangShangBanLiLianJie,F_File,F_BanLiCaiLiao,F_BanLiShiXian,F_BanLiDiDian,F_BanLiShiJian,F_BanLiDianHua,F_QiTaShuoMing,F_BanLiLiuCheng,F_BeiZhu,F_DianJiLiang,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime)");
            strSql.Append(" values (");
            strSql.Append("@F_FaBuDanWei,@F_FaBuRen,@F_HangYe,@F_DiQu,@F_ShengXiaoShiJian,@F_ShiXiaoShiJian,@F_FaBuShiJian,@F_Key,@F_YeWuMingCheng,@F_BiaoShiBianMa,@F_ShenQingTiaoJian,@F_ZhengCeYiJu,@F_WangShangBanLiLianJie,@F_File,@F_BanLiCaiLiao,@F_BanLiShiXian,@F_BanLiDiDian,@F_BanLiShiJian,@F_BanLiDianHua,@F_QiTaShuoMing,@F_BanLiLiuCheng,@F_BeiZhu,@F_DianJiLiang,@F_CreateUser,@F_CreateTime,@F_IsDelete,@F_DeleteUser,@F_DeleteTime)");
            strSql.Append(";select @@IDENTITY");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_FaBuDanWei", SqlDbType.NVarChar,255),
                    new SqlParameter("@F_FaBuRen", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_HangYe", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_DiQu", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_ShengXiaoShiJian", SqlDbType.DateTime),
                    new SqlParameter("@F_ShiXiaoShiJian", SqlDbType.DateTime),
                    new SqlParameter("@F_FaBuShiJian", SqlDbType.DateTime),
                    new SqlParameter("@F_Key", SqlDbType.Int,4),
                    new SqlParameter("@F_YeWuMingCheng", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_BiaoShiBianMa", SqlDbType.VarChar,50),
                    new SqlParameter("@F_ShenQingTiaoJian", SqlDbType.NVarChar,255),
                    new SqlParameter("@F_ZhengCeYiJu", SqlDbType.NVarChar,255),
                    new SqlParameter("@F_WangShangBanLiLianJie", SqlDbType.VarChar,255),
                    new SqlParameter("@F_File", SqlDbType.VarChar,500),
                    new SqlParameter("@F_BanLiCaiLiao", SqlDbType.NVarChar,255),
                    new SqlParameter("@F_BanLiShiXian", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_BanLiDiDian", SqlDbType.NVarChar,255),
                    new SqlParameter("@F_BanLiShiJian", SqlDbType.DateTime),
                    new SqlParameter("@F_BanLiDianHua", SqlDbType.VarChar,50),
                    new SqlParameter("@F_QiTaShuoMing", SqlDbType.NVarChar,500),
                    new SqlParameter("@F_BanLiLiuCheng", SqlDbType.NVarChar,500),
                    new SqlParameter("@F_BeiZhu", SqlDbType.NVarChar,-1),
                    new SqlParameter("@F_DianJiLiang", SqlDbType.BigInt,8),
                    new SqlParameter("@F_CreateUser", SqlDbType.VarChar,50),
                    new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
                    new SqlParameter("@F_IsDelete", SqlDbType.Int,4),
                    new SqlParameter("@F_DeleteUser", SqlDbType.VarChar,50),
                    new SqlParameter("@F_DeleteTime", SqlDbType.DateTime)};
            parameters[0].Value = model.F_FaBuDanWei;
            parameters[1].Value = model.F_FaBuRen;
            parameters[2].Value = model.F_HangYe;
            parameters[3].Value = model.F_DiQu;
            parameters[4].Value = model.F_ShengXiaoShiJian;
            parameters[5].Value = model.F_ShiXiaoShiJian;
            parameters[6].Value = model.F_FaBuShiJian;
            parameters[7].Value = model.F_Key;
            parameters[8].Value = model.F_YeWuMingCheng;
            parameters[9].Value = model.F_BiaoShiBianMa;
            parameters[10].Value = model.F_ShenQingTiaoJian;
            parameters[11].Value = model.F_ZhengCeYiJu;
            parameters[12].Value = model.F_WangShangBanLiLianJie;
            parameters[13].Value = model.F_File;
            parameters[14].Value = model.F_BanLiCaiLiao;
            parameters[15].Value = model.F_BanLiShiXian;
            parameters[16].Value = model.F_BanLiDiDian;
            parameters[17].Value = model.F_BanLiShiJian;
            parameters[18].Value = model.F_BanLiDianHua;
            parameters[19].Value = model.F_QiTaShuoMing;
            parameters[20].Value = model.F_BanLiLiuCheng;
            parameters[21].Value = model.F_BeiZhu;
            parameters[22].Value = model.F_DianJiLiang;
            parameters[23].Value = model.F_CreateUser;
            parameters[24].Value = model.F_CreateTime;
            parameters[25].Value = model.F_IsDelete;
            parameters[26].Value = model.F_DeleteUser;
            parameters[27].Value = model.F_DeleteTime;

            object obj = DbHelperSQL.GetSingle(strSql.ToString(), parameters);
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }
        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_Wiki_LawGuide model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update T_Wiki_LawGuide set ");
            strSql.Append("F_FaBuDanWei=@F_FaBuDanWei,");
            strSql.Append("F_FaBuRen=@F_FaBuRen,");
            strSql.Append("F_HangYe=@F_HangYe,");
            strSql.Append("F_DiQu=@F_DiQu,");
            strSql.Append("F_ShengXiaoShiJian=@F_ShengXiaoShiJian,");
            strSql.Append("F_ShiXiaoShiJian=@F_ShiXiaoShiJian,");
            strSql.Append("F_FaBuShiJian=@F_FaBuShiJian,");
            strSql.Append("F_Key=@F_Key,");
            strSql.Append("F_YeWuMingCheng=@F_YeWuMingCheng,");
            strSql.Append("F_BiaoShiBianMa=@F_BiaoShiBianMa,");
            strSql.Append("F_ShenQingTiaoJian=@F_ShenQingTiaoJian,");
            strSql.Append("F_ZhengCeYiJu=@F_ZhengCeYiJu,");
            strSql.Append("F_WangShangBanLiLianJie=@F_WangShangBanLiLianJie,");
            strSql.Append("F_File=@F_File,");
            strSql.Append("F_BanLiCaiLiao=@F_BanLiCaiLiao,");
            strSql.Append("F_BanLiShiXian=@F_BanLiShiXian,");
            strSql.Append("F_BanLiDiDian=@F_BanLiDiDian,");
            strSql.Append("F_BanLiShiJian=@F_BanLiShiJian,");
            strSql.Append("F_BanLiDianHua=@F_BanLiDianHua,");
            strSql.Append("F_QiTaShuoMing=@F_QiTaShuoMing,");
            strSql.Append("F_BanLiLiuCheng=@F_BanLiLiuCheng,");
            strSql.Append("F_BeiZhu=@F_BeiZhu,");
            strSql.Append("F_DianJiLiang=@F_DianJiLiang,");
            strSql.Append("F_CreateUser=@F_CreateUser,");
            strSql.Append("F_CreateTime=@F_CreateTime,");
            strSql.Append("F_IsDelete=@F_IsDelete,");
            strSql.Append("F_DeleteUser=@F_DeleteUser,");
            strSql.Append("F_DeleteTime=@F_DeleteTime");
            strSql.Append(" where F_Id=@F_Id");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_FaBuDanWei", SqlDbType.NVarChar,255),
                    new SqlParameter("@F_FaBuRen", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_HangYe", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_DiQu", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_ShengXiaoShiJian", SqlDbType.DateTime),
                    new SqlParameter("@F_ShiXiaoShiJian", SqlDbType.DateTime),
                    new SqlParameter("@F_FaBuShiJian", SqlDbType.DateTime),
                    new SqlParameter("@F_Key", SqlDbType.Int,4),
                    new SqlParameter("@F_YeWuMingCheng", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_BiaoShiBianMa", SqlDbType.VarChar,50),
                    new SqlParameter("@F_ShenQingTiaoJian", SqlDbType.NVarChar,255),
                    new SqlParameter("@F_ZhengCeYiJu", SqlDbType.NVarChar,255),
                    new SqlParameter("@F_WangShangBanLiLianJie", SqlDbType.VarChar,255),
                    new SqlParameter("@F_File", SqlDbType.VarChar,500),
                    new SqlParameter("@F_BanLiCaiLiao", SqlDbType.NVarChar,255),
                    new SqlParameter("@F_BanLiShiXian", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_BanLiDiDian", SqlDbType.NVarChar,255),
                    new SqlParameter("@F_BanLiShiJian", SqlDbType.DateTime),
                    new SqlParameter("@F_BanLiDianHua", SqlDbType.VarChar,50),
                    new SqlParameter("@F_QiTaShuoMing", SqlDbType.NVarChar,500),
                    new SqlParameter("@F_BanLiLiuCheng", SqlDbType.NVarChar,500),
                    new SqlParameter("@F_BeiZhu", SqlDbType.NVarChar,-1),
                    new SqlParameter("@F_DianJiLiang", SqlDbType.BigInt,8),
                    new SqlParameter("@F_CreateUser", SqlDbType.VarChar,50),
                    new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
                    new SqlParameter("@F_IsDelete", SqlDbType.Int,4),
                    new SqlParameter("@F_DeleteUser", SqlDbType.VarChar,50),
                    new SqlParameter("@F_DeleteTime", SqlDbType.DateTime),
                    new SqlParameter("@F_Id", SqlDbType.Int,4)};
            parameters[0].Value = model.F_FaBuDanWei;
            parameters[1].Value = model.F_FaBuRen;
            parameters[2].Value = model.F_HangYe;
            parameters[3].Value = model.F_DiQu;
            parameters[4].Value = model.F_ShengXiaoShiJian;
            parameters[5].Value = model.F_ShiXiaoShiJian;
            parameters[6].Value = model.F_FaBuShiJian;
            parameters[7].Value = model.F_Key;
            parameters[8].Value = model.F_YeWuMingCheng;
            parameters[9].Value = model.F_BiaoShiBianMa;
            parameters[10].Value = model.F_ShenQingTiaoJian;
            parameters[11].Value = model.F_ZhengCeYiJu;
            parameters[12].Value = model.F_WangShangBanLiLianJie;
            parameters[13].Value = model.F_File;
            parameters[14].Value = model.F_BanLiCaiLiao;
            parameters[15].Value = model.F_BanLiShiXian;
            parameters[16].Value = model.F_BanLiDiDian;
            parameters[17].Value = model.F_BanLiShiJian;
            parameters[18].Value = model.F_BanLiDianHua;
            parameters[19].Value = model.F_QiTaShuoMing;
            parameters[20].Value = model.F_BanLiLiuCheng;
            parameters[21].Value = model.F_BeiZhu;
            parameters[22].Value = model.F_DianJiLiang;
            parameters[23].Value = model.F_CreateUser;
            parameters[24].Value = model.F_CreateTime;
            parameters[25].Value = model.F_IsDelete;
            parameters[26].Value = model.F_DeleteUser;
            parameters[27].Value = model.F_DeleteTime;
            parameters[28].Value = model.F_Id;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_Id)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_Wiki_LawGuide ");
            strSql.Append(" where F_Id=@F_Id");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_Id", SqlDbType.Int,4)
            };
            parameters[0].Value = F_Id;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        /// <summary>
        /// 批量删除数据
        /// </summary>
        public bool DeleteList(string F_Idlist)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_Wiki_LawGuide ");
            strSql.Append(" where F_Id in (" + F_Idlist + ")  ");
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString());
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Wiki_LawGuide GetModel(int F_Id)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("select  top 1 F_Id,F_FaBuDanWei,F_FaBuRen,F_HangYe,F_DiQu,F_ShengXiaoShiJian,F_ShiXiaoShiJian,F_FaBuShiJian,F_Key,F_YeWuMingCheng,F_BiaoShiBianMa,F_ShenQingTiaoJian,F_ZhengCeYiJu,F_WangShangBanLiLianJie,F_File,F_BanLiCaiLiao,F_BanLiShiXian,F_BanLiDiDian,F_BanLiShiJian,F_BanLiDianHua,F_QiTaShuoMing,F_BanLiLiuCheng,F_BeiZhu,F_DianJiLiang,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime from T_Wiki_LawGuide with(nolock)");
            strSql.Append(" where F_Id=@F_Id");
            SqlParameter[] parameters = {
                    new SqlParameter("@F_Id", SqlDbType.Int,4)
            };
            parameters[0].Value = F_Id;

            CallCenterApi.Model.T_Wiki_LawGuide model = new CallCenterApi.Model.T_Wiki_LawGuide();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Wiki_LawGuide DataRowToModel(DataRow row)
        {
            CallCenterApi.Model.T_Wiki_LawGuide model = new CallCenterApi.Model.T_Wiki_LawGuide();
            if (row != null)
            {
                if (row["F_Id"] != null && row["F_Id"].ToString() != "")
                {
                    model.F_Id = int.Parse(row["F_Id"].ToString());
                }
                if (row["F_FaBuDanWei"] != null)
                {
                    model.F_FaBuDanWei = row["F_FaBuDanWei"].ToString();
                }
                if (row["F_FaBuRen"] != null)
                {
                    model.F_FaBuRen = row["F_FaBuRen"].ToString();
                }
                if (row["F_HangYe"] != null)
                {
                    model.F_HangYe = row["F_HangYe"].ToString();
                }
                if (row["F_DiQu"] != null)
                {
                    model.F_DiQu = row["F_DiQu"].ToString();
                }
                if (row["F_ShengXiaoShiJian"] != null && row["F_ShengXiaoShiJian"].ToString() != "")
                {
                    model.F_ShengXiaoShiJian = DateTime.Parse(row["F_ShengXiaoShiJian"].ToString());
                }
                if (row["F_ShiXiaoShiJian"] != null && row["F_ShiXiaoShiJian"].ToString() != "")
                {
                    model.F_ShiXiaoShiJian = DateTime.Parse(row["F_ShiXiaoShiJian"].ToString());
                }
                if (row["F_FaBuShiJian"] != null && row["F_FaBuShiJian"].ToString() != "")
                {
                    model.F_FaBuShiJian = DateTime.Parse(row["F_FaBuShiJian"].ToString());
                }
                if (row["F_Key"] != null && row["F_Key"].ToString() != "")
                {
                    model.F_Key = int.Parse(row["F_Key"].ToString());
                }
                if (row["F_YeWuMingCheng"] != null)
                {
                    model.F_YeWuMingCheng = row["F_YeWuMingCheng"].ToString();
                }
                if (row["F_BiaoShiBianMa"] != null)
                {
                    model.F_BiaoShiBianMa = row["F_BiaoShiBianMa"].ToString();
                }
                if (row["F_ShenQingTiaoJian"] != null)
                {
                    model.F_ShenQingTiaoJian = row["F_ShenQingTiaoJian"].ToString();
                }
                if (row["F_ZhengCeYiJu"] != null)
                {
                    model.F_ZhengCeYiJu = row["F_ZhengCeYiJu"].ToString();
                }
                if (row["F_WangShangBanLiLianJie"] != null)
                {
                    model.F_WangShangBanLiLianJie = row["F_WangShangBanLiLianJie"].ToString();
                }
                if (row["F_File"] != null)
                {
                    model.F_File = row["F_File"].ToString();
                }
                if (row["F_BanLiCaiLiao"] != null)
                {
                    model.F_BanLiCaiLiao = row["F_BanLiCaiLiao"].ToString();
                }
                if (row["F_BanLiShiXian"] != null)
                {
                    model.F_BanLiShiXian = row["F_BanLiShiXian"].ToString();
                }
                if (row["F_BanLiDiDian"] != null)
                {
                    model.F_BanLiDiDian = row["F_BanLiDiDian"].ToString();
                }
                if (row["F_BanLiShiJian"] != null && row["F_BanLiShiJian"].ToString() != "")
                {
                    model.F_BanLiShiJian = DateTime.Parse(row["F_BanLiShiJian"].ToString());
                }
                if (row["F_BanLiDianHua"] != null)
                {
                    model.F_BanLiDianHua = row["F_BanLiDianHua"].ToString();
                }
                if (row["F_QiTaShuoMing"] != null)
                {
                    model.F_QiTaShuoMing = row["F_QiTaShuoMing"].ToString();
                }
                if (row["F_BanLiLiuCheng"] != null)
                {
                    model.F_BanLiLiuCheng = row["F_BanLiLiuCheng"].ToString();
                }
                if (row["F_BeiZhu"] != null)
                {
                    model.F_BeiZhu = row["F_BeiZhu"].ToString();
                }
                if (row["F_DianJiLiang"] != null && row["F_DianJiLiang"].ToString() != "")
                {
                    model.F_DianJiLiang = long.Parse(row["F_DianJiLiang"].ToString());
                }
                if (row["F_CreateUser"] != null)
                {
                    model.F_CreateUser = row["F_CreateUser"].ToString();
                }
                if (row["F_CreateTime"] != null && row["F_CreateTime"].ToString() != "")
                {
                    model.F_CreateTime = DateTime.Parse(row["F_CreateTime"].ToString());
                }
                if (row["F_IsDelete"] != null && row["F_IsDelete"].ToString() != "")
                {
                    model.F_IsDelete = int.Parse(row["F_IsDelete"].ToString());
                }
                if (row["F_DeleteUser"] != null)
                {
                    model.F_DeleteUser = row["F_DeleteUser"].ToString();
                }
                if (row["F_DeleteTime"] != null && row["F_DeleteTime"].ToString() != "")
                {
                    model.F_DeleteTime = DateTime.Parse(row["F_DeleteTime"].ToString());
                }
            }
            return model;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select F_Id,F_FaBuDanWei,F_FaBuRen,F_HangYe,F_DiQu,F_ShengXiaoShiJian,F_ShiXiaoShiJian,F_FaBuShiJian,F_Key,F_YeWuMingCheng,F_BiaoShiBianMa,F_ShenQingTiaoJian,F_ZhengCeYiJu,F_WangShangBanLiLianJie,F_File,F_BanLiCaiLiao,F_BanLiShiXian,F_BanLiDiDian,F_BanLiShiJian,F_BanLiDianHua,F_QiTaShuoMing,F_BanLiLiuCheng,F_BeiZhu,F_DianJiLiang,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime ");
            strSql.Append(" FROM T_Wiki_LawGuide with(nolock)");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select ");
            if (Top > 0)
            {
                strSql.Append(" top " + Top.ToString());
            }
            strSql.Append(" F_Id,F_FaBuDanWei,F_FaBuRen,F_HangYe,F_DiQu,F_ShengXiaoShiJian,F_ShiXiaoShiJian,F_FaBuShiJian,F_Key,F_YeWuMingCheng,F_BiaoShiBianMa,F_ShenQingTiaoJian,F_ZhengCeYiJu,F_WangShangBanLiLianJie,F_File,F_BanLiCaiLiao,F_BanLiShiXian,F_BanLiDiDian,F_BanLiShiJian,F_BanLiDianHua,F_QiTaShuoMing,F_BanLiLiuCheng,F_BeiZhu,F_DianJiLiang,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime ");
            strSql.Append(" FROM T_Wiki_LawGuide with(nolock)");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            strSql.Append(" order by " + filedOrder);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获取记录总数
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) FROM T_Wiki_LawGuide with(nolock)");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            object obj = DbHelperSQL.GetSingle(strSql.ToString());
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }

        #endregion  BasicMethod
    }
}

